Modify

#192 closed enhancement (fixed)

Timestamp for offline messages

Reported by: izos Owned by:
Priority: wishlist Milestone:
Component: BitlBee Version: 1.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

It is nice if you will include a timestamp for offline messages. My IRC-client only shows the current time. I cannot see the time when the offline messages was sent.

Attachments (0)

Change History (5)

comment:1 Changed at 2008-03-15T23:15:42Z by wilmer

Milestone: 1.2.x

The API does this properly now, so it should be pretty easy. Things like timezones may make this slightly more complicated though.

It could be nice to have an irssi script that tries to display that time instead of the current time. timing? ;-)

comment:2 Changed at 2008-03-23T10:13:05Z by Timing

Yeah it's possible to write to the complete output buffer in irssi. So the timestamps as well. So what's the format of these offline messages? What about a CTCP? Just like the tab completion script, where the script identifies itself as a client capable of displaying older timestamps?

comment:3 Changed at 2008-03-23T15:08:11Z by Wilmer van der Gaast <wilmer@…>

Yeah it's possible to write to the complete output buffer in irssi. So the
timestamps as well.

Cool. Is it possible to preserve the formatting/theme settings of the
user and also get things logged properly?

So what's the format of these offline messages? What about a CTCP?

CTCP sounds like a bad idea to me. I think it's important that the
format used by BitlBee looks good in all clients without any plugins. So
probably just the time at the beginning of the line, with a little bit
of markup, and possibly just a few bogus markup sequences to make it
easier for scripts to recognize the timestamp.

comment:4 Changed at 2010-04-07T04:00:40Z by wilmer

Resolution: fixed
Status: newclosed

changeset:devel,530 should do this. Including timezone-awareness in case anyone's ever going to care.

comment:5 Changed at 2016-07-07T20:51:01Z by dx

Milestone: 1.2.x

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.